using System;
namespace HaTeam.Dd.Model
{
	/// <summary>
	/// Dd_Reprint:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Dd_Reprint
	{
		public Dd_Reprint()
		{}
		#region Model
		private int _reprint_id;
		private int _reprint_articleid;
		private int _reprint_type;
		private int _reprint_userid;
		private int _reprint_copyfrom;
		private int _reprint_originid;
		private string _reprint_guid;
		private DateTime? _reprint_datetime;
		private DateTime? _reprint_updatetime;
		private int? _reprint_verify;
		private int? _reprint_lock;
		private int? _reprint_state;
		private int? _reprint_delete;
		private int? _reprint_count;
		private int? _reprint_order;
		private string _reprint_remark;
		/// <summary>
		/// 
		/// </summary>
		public int Reprint_ID
		{
			set{ _reprint_id=value;}
			get{return _reprint_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int Reprint_ArticleID
		{
			set{ _reprint_articleid=value;}
			get{return _reprint_articleid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int Reprint_type
		{
			set{ _reprint_type=value;}
			get{return _reprint_type;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int Reprint_UserID
		{
			set{ _reprint_userid=value;}
			get{return _reprint_userid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int Reprint_CopyFrom
		{
			set{ _reprint_copyfrom=value;}
			get{return _reprint_copyfrom;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int Reprint_OriginID
		{
			set{ _reprint_originid=value;}
			get{return _reprint_originid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Reprint_Guid
		{
			set{ _reprint_guid=value;}
			get{return _reprint_guid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? Reprint_Datetime
		{
			set{ _reprint_datetime=value;}
			get{return _reprint_datetime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? Reprint_UpDatetime
		{
			set{ _reprint_updatetime=value;}
			get{return _reprint_updatetime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Reprint_Verify
		{
			set{ _reprint_verify=value;}
			get{return _reprint_verify;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Reprint_Lock
		{
			set{ _reprint_lock=value;}
			get{return _reprint_lock;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Reprint_State
		{
			set{ _reprint_state=value;}
			get{return _reprint_state;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Reprint_Delete
		{
			set{ _reprint_delete=value;}
			get{return _reprint_delete;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Reprint_Count
		{
			set{ _reprint_count=value;}
			get{return _reprint_count;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Reprint_Order
		{
			set{ _reprint_order=value;}
			get{return _reprint_order;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Reprint_Remark
		{
			set{ _reprint_remark=value;}
			get{return _reprint_remark;}
		}
		#endregion Model

	}
}

